// Face.h: interface for the CFace class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FACE_H__C714592E_661B_4D80_AA15_138C1C938EC9__INCLUDED_)
#define AFX_FACE_H__C714592E_661B_4D80_AA15_138C1C938EC9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Common\Unknown.h"

class CFileStream;

class CFace : public CUnknown  
{
protected:
	DWORD	m_dwNumIndices;
	LPDWORD	m_pIndices;

public:
	CFace();
	virtual ~CFace();

	virtual void Destroy();

	virtual bool Read(CFileStream* lpStream);

	virtual void Render();

	// inline
	/////////////////////////////////////////////
	DWORD   GetNumIndices()		{ return m_dwNumIndices; }
	LPDWORD GetIndices()		{ return m_pIndices; }
};

#endif // !defined(AFX_FACE_H__C714592E_661B_4D80_AA15_138C1C938EC9__INCLUDED_)
